- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- File List
- File Members

Namespaces | Functions
KEYShape.cpp File Reference
`#include <algorithm>`
`#include <cmath>`
`#include <deque>`
`#include <boost/math/constants/constants.hpp>`
`#include "KEYOutput.h"`
`#include "KEYPath.h"`
`#include "KEYShape.h"`
`#include "KEYText.h"`
`#include "KEYTransformation.h"`
`#include "KEYTypes.h"`

## Namespaces
| libetonyek

## Functions
KEYObjectPtr_t | libetonyek::makeObject (const KEYShapePtr_t &shape)
| Object creator function for shape. More...
KEYPathPtr_t | libetonyek::makePolygonPath (const KEYSize &size, unsigned edges)
| Path creator functions for stock shapes. More...
KEYPathPtr_t | libetonyek::makeRoundedRectanglePath (const KEYSize &size, const double radius)
KEYPathPtr_t | libetonyek::makeArrowPath (const KEYSize &size, const double headWidth, const double stemThickness)
KEYPathPtr_t | libetonyek::makeDoubleArrowPath (const KEYSize &size, const double headWidth, const double stemThickness)
KEYPathPtr_t | libetonyek::makeStarPath (const KEYSize &size, const unsigned points, const double innerRadius)
KEYPathPtr_t | libetonyek::makeConnectionPath (const KEYSize &size, const double middleX, const double middleY)
KEYPathPtr_t | libetonyek::makeCalloutPath (const KEYSize &size, const double radius, const double tailSize, const double tailX, const double tailY)
KEYPathPtr_t | libetonyek::makeQuoteBubblePath (const KEYSize &size, const double radius, const double tailSize, const double tailX, const double tailY)

## Variable Documentation

const KEYShapePtr_t m_shape

const KEYTransformation& m_tr

double x

Referenced by libetonyek::KEYTable::draw(), and libetonyek::KEYPath::KEYPath().

double y

Referenced by libetonyek::KEYTable::draw(), libetonyek::KEYPath::KEYPath(), and libetonyek::KEYTransformation::operator()().